---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FBD0, symBinAddr: 0x5300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51B10, symBinAddr: 0x7240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51F00, symBinAddr: 0x7630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52EA0, symBinAddr: 0x85D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52EB0, symBinAddr: 0x85E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F700, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F704, symBinAddr: 0x5084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F708, symBinAddr: 0x5088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F860, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F918, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F91C, symBinAddr: 0x514C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F920, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F924, symBinAddr: 0x5154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F928, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F930, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F948, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F950, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F958, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F960, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F968, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F9B0, symBinAddr: 0x51A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4F9B8, symBinAddr: 0x51A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4F9C8, symBinAddr: 0x51B8, symSize: 0x0 }
  - { offsetInCU: 0x9109, offset: 0x9109, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FB00, symBinAddr: 0x52F0, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x840, symSize: 0x80 }
  - { offsetInCU: 0x91F7, offset: 0x91F7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x790, symSize: 0xB0 }
  - { offsetInCU: 0x9252, offset: 0x9252, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x690, symSize: 0x100 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x8C0, symSize: 0x220 }
  - { offsetInCU: 0x96CA, offset: 0x96CA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xAE0, symSize: 0xA0 }
  - { offsetInCU: 0x977D, offset: 0x977D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xB80, symSize: 0x110 }
  - { offsetInCU: 0x9873, offset: 0x9873, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xC90, symSize: 0x150 }
  - { offsetInCU: 0x99A4, offset: 0x99A4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xDE0, symSize: 0x30 }
  - { offsetInCU: 0x9A65, offset: 0x9A65, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xE10, symSize: 0x150 }
  - { offsetInCU: 0x9C5D, offset: 0x9C5D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0xF60, symSize: 0x160 }
  - { offsetInCU: 0x9DE9, offset: 0x9DE9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x10C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA004, offset: 0xA004, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1270, symSize: 0xA0 }
  - { offsetInCU: 0xA0D3, offset: 0xA0D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1310, symSize: 0x20 }
  - { offsetInCU: 0xA10A, offset: 0xA10A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1330, symSize: 0x20 }
  - { offsetInCU: 0xA141, offset: 0xA141, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1350, symSize: 0x20 }
  - { offsetInCU: 0xA2B0, offset: 0xA2B0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1370, symSize: 0x1A0 }
  - { offsetInCU: 0xA5D6, offset: 0xA5D6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1510, symSize: 0x80 }
  - { offsetInCU: 0xA69F, offset: 0xA69F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1590, symSize: 0x6A0 }
  - { offsetInCU: 0xB234, offset: 0xB234, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F20, symBinAddr: 0x2640, symSize: 0xB0 }
  - { offsetInCU: 0xB2AB, offset: 0xB2AB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1C30, symSize: 0x70 }
  - { offsetInCU: 0xB367, offset: 0xB367, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1CA0, symSize: 0xA0 }
  - { offsetInCU: 0xB492, offset: 0xB492, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1D40, symSize: 0x40 }
  - { offsetInCU: 0xB588, offset: 0xB588, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1D80, symSize: 0x2B0 }
  - { offsetInCU: 0xB92E, offset: 0xB92E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2030, symSize: 0xC0 }
  - { offsetInCU: 0xBA74, offset: 0xBA74, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x20F0, symSize: 0x10 }
  - { offsetInCU: 0xBB36, offset: 0xBB36, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2100, symSize: 0x220 }
  - { offsetInCU: 0xBE33, offset: 0xBE33, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2320, symSize: 0x10 }
  - { offsetInCU: 0xBE89, offset: 0xBE89, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2330, symSize: 0x170 }
  - { offsetInCU: 0xC0AA, offset: 0xC0AA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x24A0, symSize: 0x10 }
  - { offsetInCU: 0xC100, offset: 0xC100, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9D90, symBinAddr: 0x24B0, symSize: 0x10 }
  - { offsetInCU: 0xC1D2, offset: 0xC1D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw002_check, symObjAddr: 0x9DA0, symBinAddr: 0x24C0, symSize: 0x180 }
  - { offsetInCU: 0xC402, offset: 0xC402, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FD0, symBinAddr: 0x26F0, symSize: 0x36A }
...
